{{/*
SPDX-FileCopyrightText: 2023 Bundesministerium des Innern und für Heimat, PG ZenDiS "Projektgruppe für Aufbau ZenDiS"
SPDX-License-Identifier: Apache-2.0
*/}}
{{- if and .Values.apps.oxAppsuite.enabled .Values.networkPolicies.enabled }}
---
apiVersion: "networking.k8s.io/v1"
kind: "NetworkPolicy"
metadata:
  name: "{{ include "common.names.fullname" . }}-prometheus-openxchange-appsuite-core-image-converter"
  namespace: {{ .Values.apps.oxAppsuite.namespace | default .Release.Namespace | quote }}
  labels:
    {{- include "common.labels.standard" . | nindent 4 }}
    {{- if .Values.additionalLabels }}
    {{- include "common.tplvalues.render" ( dict "value" .Values.additionalLabels "context" . ) | nindent 4 }}
    {{- end }}
  {{- if .Values.additionalAnnotations }}
  annotations: {{- include "common.tplvalues.render" ( dict "value" .Values.additionalAnnotations "context" . ) | nindent 4 }}
  {{- end }}
spec:
  podSelector:
    matchLabels:
      app.kubernetes.io/name: "core-imageconverter"
      app.kubernetes.io/instance: "open-xchange"
  ingress:
    - from:
        - podSelector: {{ toYaml .Values.prometheus.podSelector | nindent 12 }}
          namespaceSelector:
            matchLabels:
              kubernetes.io/metadata.name: {{ .Values.prometheus.namespace | quote }}
  policyTypes:
    - "Ingress"
...
{{- end }}
